import java.util.ArrayList;
import java.util.Random;

/**
 * Jump 'n' Run-Spiel mit dem Protagonisten Dorian
 *
 * @author Johannes Neumeyer
 * @version 1.0
 */
class DorianLand extends Ereignisbehandlung
{
    Dorian dorian;

    /**
     * Legt das Szenario und die Spielfigur an
     * @param levelNr das gewünschte Spiellevel
     */
    DorianLand(int levelNr)
    {        
        super();
        dorian = new Dorian();
        Text text = new Text();
        text.TextSetzen("← →: Gehen     Leertaste: Springen");
        text.PositionSetzen(300, 500);
        LevelSetzen(levelNr);
        TaktdauerSetzen(10);
        Starten();
    }

    /**
     * Setzt das gewünschte Level.
     * @param levelNr das gewünschte Spiellevel
     */
    void LevelSetzen(int levelNr)
    {
        switch (levelNr)
        {
            case 1:
            Level1();
            break;            

            default:
            System.out.println("Ein Level mit dieser Nummer existiert nicht!");
        }
    }

    /**
     * Erstellt die Welt für Level 1.
     */
    void Level1()
    {
        // Weg
        Stahltraeger weg;
        weg = new Stahltraeger(800);
        weg.PositionSetzen(0, 400);

        // Kisten und Untier
        Kiste k1;
        k1 = new Kiste();
        k1.PositionSetzen(250, 350);
        Kiste k2;
        k2 = new Kiste();
        k2.PositionSetzen(450, 350);
        Gleiter u1;
        u1 = new Gleiter();
        u1.PositionSetzen(375, 375);

        // Ziel
        Ziel ziel;
        ziel = new Ziel();
        ziel.PositionSetzen(735, 250);

        /*
         * Hier müssen noch einige Objekte ergänzt werden!
         */
    }   

    /**
     * Mitverantwortlich für die Steuerung von Dorian
     */
    @Override void TaktImpulsAusführen()
    {
        if (dorian.Berührt("grün"))
        {
            Anhalten();
            dorian.Stoppen();
        }

        else if (dorian.Berührt("cyan"))
        {
            Anhalten();
            dorian.Stoppen();
        }
    }
}
