/**
 * Stufe einer Treppe im Dorianland
 *
 * @author Johannes Neumeyer
 * @version 1.0
 */
class Stufe extends DLRechteck
{
    int yPos;
    
    /**
     * Konstrktor mit Höhenangabe
     * @param höhe Stufenhöhe
     */
    Stufe(int höhe)
    {
        super();
        GrößeSetzen(25, 25 * höhe);
        FarbeSetzen("blau");
        yPos = 400 - 25 * höhe;
    }

    /**
     * Positioniert die Stufe in x-Richtung
     * @param xNeu (neue) x-Position
     */
    void XPositionSetzen(int xNeu)
    {
        PositionSetzen(xNeu, yPos);
    }
}
