
/**
 * Spielsteuerung
 * 
 * @author Klaus Reinold
 * @version 1.0
 */
class Spiel extends Ereignisbehandlung
{
    /** Das Geisterauto 1*/
    Geisterauto auto1;
    /** Das Geisterauto 2*/
    Geisterauto auto2;
    /** Das Geisterauto 3*/
    Geisterauto auto3;

    /** Das Spielerauto 1*/
    Spielerauto spielerauto;

    /**
     * Konstruktor des Spiels
     */
    Spiel()
    {
        super();
        TaktdauerSetzen(800);
        Rechteck strasse;
        strasse = new Rechteck();
        strasse.GrößeSetzen(240, 600);
        strasse.FarbeSetzen("grau");
        strasse.PositionSetzen(0,0);

        Rechteck fahrbahnmarkierung;
        for(int i = 1; i < 3; i++)
        {
            for(int j = 0; j < 14; j++)
            {
                fahrbahnmarkierung = new Rechteck();
                fahrbahnmarkierung.FarbeSetzen("weiß");
                fahrbahnmarkierung.GrößeSetzen(4,20);
                fahrbahnmarkierung.PositionSetzen(80*i-2,40*j);
            }
        }

        auto1 = new Geisterauto(0, "rot", -200);
        auto2 = new Geisterauto(1, "grün",50);
        auto3 = new Geisterauto(2, "magenta", 300);
        super.Starten();

        spielerauto = new Spielerauto();
    }

    /**
     * Taktsteuerung der Geisterautos
     */    
    @Override void TaktImpulsAusführen()
    {
        auto1.Fahren(); 
        auto2.yPos = auto2.yPos + 5;
        auto3.Fahren();
    }

    /**
     * Tastatursteuerung des Spielerautos
     * @param taste die gedrückte Taste
     */  
    @Override void SonderTasteGedrückt(int taste)
    {
        super.SonderTasteGedrückt(taste);
        if(taste == 37)
        {
            spielerauto.xPos = spielerauto.xPos - 40;
        }
        if(taste == 39)
        {
            spielerauto.Bewegen("rechts");
        }
    }
}

